Contiguous array | Leetcode

  Рет қаралды 57,128

Techdose

Techdose

Күн бұрын

Пікірлер
@anand_dudi
@anand_dudi 8 ай бұрын
this is the best channel for finding best algorithm to problem. not even @neetcode can explain easy and efficient algorithm which this channel does
@shivanggupta5421
@shivanggupta5421 4 жыл бұрын
I was stuck on this for a while and saw 2 more videos before this. But you explained it really well. Thanks
@techdose4u
@techdose4u 4 жыл бұрын
Welcome
@RajVeerEkSoch
@RajVeerEkSoch 3 жыл бұрын
I agree
@abdulrehmanamer4252
@abdulrehmanamer4252 8 ай бұрын
totally agreed
@goutamkundu6392
@goutamkundu6392 3 жыл бұрын
Your channel is gold. Just 1 small optimisation can be not using the map but using an array to contain the sum. We can take an array of length 2*n+1 where n=length of given nums array. We can add n to each sum i.e., we can initialise our sum variable with n rather than 0. Next all the things are same. The logic is quite obvious. If the given nums array contains all 1's, then max sum possible is n and we are adding n to it, so total n+n=2n. That's why taking an array for hash of length 2*n+1. If the given nums array contains all 0's, then sum will become -n+n=0. Hence, we can accomodate all values in our 2*n+1 hash array.
@techdose4u
@techdose4u 3 жыл бұрын
👍🏼
@aadil4236
@aadil4236 8 ай бұрын
Thank you mate. for the edge case when we get zero as current sum, we can just add "0: -1" in the hashmap in the start and don't have to worry about it in the code to check that edge case.
@gourabbanerjee4152
@gourabbanerjee4152 4 жыл бұрын
The best explanation for this problem! Good Job!
@techdose4u
@techdose4u 4 жыл бұрын
Thanks :)
@PremPal-uy4nm
@PremPal-uy4nm Жыл бұрын
For the people who heard "Contiguous Subarray" first time. Contiguous Subarray means any part of array where no elements are skipped. [1,2,3,4,5] has [3,4,5] as contiguous subarray but [1,4,5] is not Contiguous Subarray. We can think kind of continuous subarray.
@lemax2980
@lemax2980 4 жыл бұрын
Ur channel is a gem bro.I feel lucky to be a subscriber😅 .All the best bro..🙌🙌
@techdose4u
@techdose4u 4 жыл бұрын
Thanks :)
@abhijitbandyopadhyay4821
@abhijitbandyopadhyay4821 3 ай бұрын
Good Explanation. Clear & concise.
@qilinzhang6958
@qilinzhang6958 4 жыл бұрын
Thanks very much, I completely understand your explanation, great job.
@techdose4u
@techdose4u 4 жыл бұрын
Thanks :)
@aswathsrimarir2501
@aswathsrimarir2501 4 жыл бұрын
You are doing a good job...following all your videos. ..keep uploading.
@techdose4u
@techdose4u 4 жыл бұрын
Thanks :)
@pranayraj7938
@pranayraj7938 4 жыл бұрын
Nice Explanation !!...I was waiting for ur video.
@techdose4u
@techdose4u 4 жыл бұрын
Thanks :)
@juuzousuzuya69
@juuzousuzuya69 5 ай бұрын
I was stuck on this but you explained it well. Im just thinking no way I would know this solution unless Ive seen it :D
@aparnamane1164
@aparnamane1164 4 жыл бұрын
I really love your videos. The explanation is quite crisp and clear. Keep posting. Thankyou.
@techdose4u
@techdose4u 4 жыл бұрын
Welcome :)
@sarvesh6785
@sarvesh6785 2 жыл бұрын
Python3 code: class Solution: def findMaxLength(self, nums: List[int]) -> int: dic = {} sum = count = 0 for i in range(len(nums)): sum += 1 if nums[i] == 1 else -1 if sum == 0: count = max(count,i + 1) elif(sum in dic): count = max(count,i - dic[sum]) else: dic[sum] = i return count
@najimali32
@najimali32 4 жыл бұрын
This question is good & you explain it the nice way. I also have a similar approach, but your code is more compact.
@techdose4u
@techdose4u 4 жыл бұрын
Thanks :)
@amandeepnokhwal2977
@amandeepnokhwal2977 3 жыл бұрын
@@techdose4u Aap bhagvaan ho kya?
@venkateshthirunagiri85
@venkateshthirunagiri85 4 жыл бұрын
how will you get this type of IDEAS man? like replace 0 with -1 then compute the problem........this is mind-blowing. love your channel dude and thanks for making videos " SURYA PRATAP KAHAR " :)
@techdose4u
@techdose4u 4 жыл бұрын
Actually I had seen such trickery in some other problems. So whatever is seen, quickly comes into mind 😅
@bisheshwardevsharma3243
@bisheshwardevsharma3243 4 ай бұрын
Thank you. It was a good explanation
@ryanchen467
@ryanchen467 2 жыл бұрын
The is the best explanation I've seen
@ganeshjaggineni4097
@ganeshjaggineni4097 5 ай бұрын
NICE SUPER EXCELLENT MOTIVATED
@meet2637
@meet2637 3 жыл бұрын
This channel is gold.
@techdose4u
@techdose4u 3 жыл бұрын
❤️
@anjalisinha3377
@anjalisinha3377 3 жыл бұрын
Code in Java -- @TechDose class Solution { public int findMaxLength(int[] nums) { HashMap hm = new HashMap(); int sum =0; int max=0; int temp=0; for (int i=0; i
@techdose4u
@techdose4u 3 жыл бұрын
👍🏼
@Yash-uk8ib
@Yash-uk8ib 4 жыл бұрын
sir, i appreciate ur method. It's nice. Maybe, i have another approach, plzz tell me whether it works or not. If not, then plz explain why? APPROACH: compute the count of zeroes and ones from the array and find min(count_of_zero, count_of_one)*2. This expression will give you maximum length of subarray. If any of these counts is/are 0, then no subarray is possible which meets the given criteria.
@techdose4u
@techdose4u 4 жыл бұрын
I had thought this as my first idea and you did too 😅 This won't work because counting is not taking contiguous element property into consideration. It may skip some elements in between and say the answer. This can work for subsequence where you can skip any element but this won't work for subarray. Take the example of 0 1 1 1 0. You method will give 4 but answer is only 2. I hope you got it :)
@Yash-uk8ib
@Yash-uk8ib 4 жыл бұрын
@@techdose4u ohhkk... i got it
@techdose4u
@techdose4u 4 жыл бұрын
:)
@stankafan6688
@stankafan6688 4 жыл бұрын
hahaha bhaiya i too thought same for the first time 😅
@soumavabanerjee5925
@soumavabanerjee5925 2 жыл бұрын
I tried this one too at first and got WA XD
@AnkitRaj-jn8ew
@AnkitRaj-jn8ew 4 жыл бұрын
Instead of having the condition sum == 0, we can initialize the map mymap[0] = -1 and when we encounter 0, i+1 will be added to longest_subarray.
@techdose4u
@techdose4u 4 жыл бұрын
We could have done map[0] = 1 and then iterated.
@AnkitRaj-jn8ew
@AnkitRaj-jn8ew 4 жыл бұрын
@@techdose4u shouldn't it be map[0] = -1 and not map[0] = 1 because this way, when sum is 0, it will be i - (-1) = i + 1
@techdose4u
@techdose4u 4 жыл бұрын
The idea is to add. If you take minus sign then take -1. This time around I solved with 1 😅 It all depends on how you manipulate the calculation.
@AnkitRaj-jn8ew
@AnkitRaj-jn8ew 4 жыл бұрын
True, I said -1 in agreement to the equation in the video "longest_subarray = i - mymap[sum]" where using +1 could make it wrong.
@sumitSharma-ed5mi
@sumitSharma-ed5mi 3 жыл бұрын
Very good explanation and its very helpful
@techdose4u
@techdose4u 3 жыл бұрын
Thanks :)
@Giri14_18
@Giri14_18 8 ай бұрын
Great explanation ........Thank you sir
@dhanashreegodase4445
@dhanashreegodase4445 2 жыл бұрын
Keep posting. Thankyou.
@techdose4u
@techdose4u 2 жыл бұрын
Welcome 😄
@subham-raj
@subham-raj 4 жыл бұрын
*Closer to prefix sums*
@aviligondagowtham1153
@aviligondagowtham1153 4 жыл бұрын
Sir,could u pls explain the c code based on whatever u will say the problem so that it will be better .. u r the best tutor I never seen really
@techdose4u
@techdose4u 4 жыл бұрын
If you are doing coding in C then will recommend you to switch to C++ as soon as you can. It will be a cakewalk to switch. C doesn't have standard libraries. You will be at ease. Believe me.
@aviligondagowtham1153
@aviligondagowtham1153 4 жыл бұрын
As per our placement the companies will give more preference to c languge so tht I'm learning
@techdose4u
@techdose4u 4 жыл бұрын
I heard this the first time. Can you name some companies who prefer C over CPP?
@akshitajha1209
@akshitajha1209 2 жыл бұрын
Yes plzz switch to C, it's involves tedious work even for basic things, change it ASAP, I also made this mistake so highly recommend u! Well this comment is 1 year ago M sorry but to whomsoever it may concern!
@pravyn350
@pravyn350 2 ай бұрын
@@techdose4u better move to python 🐍 sir
@akhilesh59
@akhilesh59 2 жыл бұрын
Thanks for the explanation :)
@techdose4u
@techdose4u 2 жыл бұрын
Welcome 😄
@ahmedfouzan
@ahmedfouzan 2 жыл бұрын
Thanks for the clear explanation
@techdose4u
@techdose4u 2 жыл бұрын
Welcome 😊
@mohamedhesham6008
@mohamedhesham6008 2 жыл бұрын
That's really amazing explanation
@techdose4u
@techdose4u 2 жыл бұрын
Thanks
@halfaddercircuit
@halfaddercircuit 3 жыл бұрын
Your approach is great. I used map as well but very nasty. Great explanation.
@ganakkathuria4893
@ganakkathuria4893 2 жыл бұрын
Nice explanation
@techdose4u
@techdose4u 2 жыл бұрын
Thanks 😊
@chrisjurgens8043
@chrisjurgens8043 Жыл бұрын
Great explanation, helped me solve for sure!
@akshayaamar9825
@akshayaamar9825 2 жыл бұрын
Very well explained. Thank you.
@techdose4u
@techdose4u 2 жыл бұрын
Welcome 😄
@priyamani4349
@priyamani4349 4 жыл бұрын
Great work.
@techdose4u
@techdose4u 4 жыл бұрын
Thanks :)
@kumarswamy3554
@kumarswamy3554 3 жыл бұрын
very clear explanation. Thank you so much.
@techdose4u
@techdose4u 3 жыл бұрын
Welcome
@saurabh.gupta22
@saurabh.gupta22 8 ай бұрын
Great Explanation ❤
@abhishekkumarjhariya1340
@abhishekkumarjhariya1340 2 жыл бұрын
Great explanation as always.
@techdose4u
@techdose4u 2 жыл бұрын
Thanks :)
@suryajanardhan
@suryajanardhan 8 ай бұрын
very good explanation
@praveenchouhan6388
@praveenchouhan6388 4 жыл бұрын
brilliant work!!!!!!!!!!!!!!!!!!!!
@techdose4u
@techdose4u 4 жыл бұрын
Thanks :)
@tanishqaggarwal1197
@tanishqaggarwal1197 Жыл бұрын
Nice approach
@techdose4u
@techdose4u Жыл бұрын
:)
@ajaywadhwa3398
@ajaywadhwa3398 4 жыл бұрын
Really Impressive. Helped a lot !!
@techdose4u
@techdose4u 4 жыл бұрын
Welcome
@kushgupta1187
@kushgupta1187 4 жыл бұрын
Very well explained
@debashisdas6593
@debashisdas6593 4 жыл бұрын
Nice explanation !!!
@techdose4u
@techdose4u 4 жыл бұрын
Thanks
@priyankadey3337
@priyankadey3337 3 жыл бұрын
Awesome explanation!
@techdose4u
@techdose4u 3 жыл бұрын
Thanks :)
@ishmeetbindra5428
@ishmeetbindra5428 4 жыл бұрын
Nicely Explained!
@techdose4u
@techdose4u 4 жыл бұрын
Thanks :)
@sujiths9199
@sujiths9199 2 жыл бұрын
I really appreciate your thought process
@audioplatform6299
@audioplatform6299 3 жыл бұрын
All good... very clear explanation as always in your channel... But, is it fair for the companies to expect someone to think of a solution for this kind of hard problem and code it in 45 minutes?
@techdose4u
@techdose4u 3 жыл бұрын
Generally you won't be asked hard problems.
@Learner010
@Learner010 4 жыл бұрын
the best explanation!!
@techdose4u
@techdose4u 4 жыл бұрын
Thanks :)
@ryan.aquino
@ryan.aquino 4 жыл бұрын
python data = nums hm = {} res = 0 ctr = 0 for i in range(len(data)): if data[i] == 0: ctr -= 1 else: ctr += 1 if ctr == 0 and i+1 > res: res = i+1 if ctr not in hm: hm[ctr] = i else: val = i-hm[ctr] if val > res: res = val return res
@shubhamgarg7198
@shubhamgarg7198 4 жыл бұрын
How you build your such good concepts?? To produce optimal solutions
@techdose4u
@techdose4u 4 жыл бұрын
First I think atleast one solution and try solving. If it works then I try optimizing different steps for that problem. This method works for me.
@jaydeepmahajan6598
@jaydeepmahajan6598 4 жыл бұрын
I have seen this video last month still i need to watch this video agin , i am just getting demotivated for this , why ideas are not coming in my mind ?
@techdose4u
@techdose4u 4 жыл бұрын
You should fully understand a problem and then solve similar problems yourself in order to remeber it.
@mayankchauhan6680
@mayankchauhan6680 3 жыл бұрын
how does a solution strike the mind? Is it just about intuition who just a few smart people happen to have, or you get to learn a particular pattern over a long period of time by solving problems over and over?
@techdose4u
@techdose4u 3 жыл бұрын
Your last guess is right. Everyone is smart in common matters but once we talk about a specific skill then you need to train your brain over a period of time.
@nidhisingh25_
@nidhisingh25_ 4 жыл бұрын
Had a doubt!! What if the array starts with 0 this code will not work then. For example : [0,0,1,0,1,1,1,1,0]. Can you please explain? If sum becomes -1 or -2, then it will be stored in map which might be wrong I guess? Correct me if I am wrong...
@techdose4u
@techdose4u 4 жыл бұрын
I guess u r thinking how can we have negative index, right? Well, we are not actually accesing by index but we are storing index. We are storing both key and value as pair in map. Key can have any value. So don't worry, it will work.
@damodaranm3044
@damodaranm3044 4 жыл бұрын
bro . you have done a excepional job .youre better than nick white kelvin naugton . pls dont go fast while u teach . thanks
@techdose4u
@techdose4u 4 жыл бұрын
Thanks bro :)
@damodaranm3044
@damodaranm3044 4 жыл бұрын
@@techdose4u go slow while u teach bro . because we are like small kids in problem solving . and the way u teach is amazing keep it up i appreciate it
@syed7996
@syed7996 4 жыл бұрын
Thanks for the video, but how you decided to use hash map? How do you get that intuition. why not variables?. Please make a series of videos on how to get that intuition. It requires practice as suggested by many but still curious to know
@techdose4u
@techdose4u 4 жыл бұрын
Will make it in near future for sure :)
@yashshreeshinde4394
@yashshreeshinde4394 3 жыл бұрын
Thank you!!!!
@techdose4u
@techdose4u 3 жыл бұрын
Welcome :)
@ssaha7714
@ssaha7714 2 жыл бұрын
I am just wondering what is wrong if we take a loop, 2 variables and then the lower count multiplied by 2 is the answer. Am I missing something from the question. private int maxLength(int[] arr){ int zeroCount =0; int oneCount =0; for(int I=0;I
@manjunathp9466
@manjunathp9466 4 жыл бұрын
l=list(map(int,input().split())) dic={} sum=maxarray=0 for i in range(len(l)): sum+=(-1) if l[i]==0 else 1 if sum==0: maxarray=i+1 if sum not in dic.keys(): dic[sum]=i else: maxarray=max(maxarray,i-dic[sum]) print(maxarray)
@techdose4u
@techdose4u 4 жыл бұрын
👍
@parekshamanchanda8083
@parekshamanchanda8083 4 жыл бұрын
Can be done with stack as well
@techdose4u
@techdose4u 4 жыл бұрын
Code please :)
@amanvijayvargiya3468
@amanvijayvargiya3468 4 жыл бұрын
thank you so much ..
@techdose4u
@techdose4u 4 жыл бұрын
Welcome :)
@locusoflearning
@locusoflearning 4 жыл бұрын
Thanku sir.
@techdose4u
@techdose4u 4 жыл бұрын
Welcome :)
@muskanmangal8938
@muskanmangal8938 4 жыл бұрын
It helped!
@techdose4u
@techdose4u 4 жыл бұрын
:)
@rahulsaini202
@rahulsaini202 3 жыл бұрын
@TECH DOSE To check element is present in map or not. Sometimes we write mymap[sum] and sometime we write mymap.find(sum)!= mymap.end()... Please can you explain this? Thanks.
@techdose4u
@techdose4u 3 жыл бұрын
Mymap[sum] will return value stored at key Sum (provided the entry is already present in map). Find is used to check if there is any valid entry present with the given key Sum. So, 2nd one can be used to check. 1st one is used to retrieve value when you know it's present else you want to initialise a new value.
@rahulsaini202
@rahulsaini202 3 жыл бұрын
@@techdose4u Thanks for the response.
@stankafan6688
@stankafan6688 4 жыл бұрын
bhaiya can't we use stack. int findMaxLength(vector& nums) { int s,i,count=0,max=0; s=nums.size(); stackst; st.push(nums[0]); for(i=1;i
@ApexPlayground_divine
@ApexPlayground_divine Ай бұрын
Thanks brother, explanation was so good , i could solve without waiting for code section.
@techdose4u
@techdose4u Ай бұрын
welcome :)
@akshitajha1209
@akshitajha1209 2 жыл бұрын
I m loving the explanation but have a sense of guilt too that I was unable to solve it on my own. I tried and know about basic prefix sum but still loving this solution which I was unable to think of. What shall do? Is it fine?
@techdose4u
@techdose4u 2 жыл бұрын
It's fine. Just don't watch the code implementation and try yourself. If you can't do then see it :)
@rahulchaubey8988
@rahulchaubey8988 4 жыл бұрын
👌👌👌👌👌👌
@techdose4u
@techdose4u 4 жыл бұрын
:)
@najimali32
@najimali32 4 жыл бұрын
I think when sum is zero is not handle correctly , i m getting wrong ans, Python sol: class Solution: def findMaxLength(self, nums: List[int]) -> int: n = len(nums) sum ,c_arr = 0,0 //hash map d = dict() d[0]=-1 for i in range(n): if nums[i]: sum+=1 else: sum-=1 // checking if the key is present in hashmap if sum in d: c_arr = max(c_arr,i-d[sum]) else: d[sum]= i return c_arr
@vinoltauro9160
@vinoltauro9160 4 жыл бұрын
can we use the sliding window technique ?
@akashmittal7795
@akashmittal7795 4 жыл бұрын
can you explain what this line means? sum += nums[i]==0?-1:1;
@techdose4u
@techdose4u 4 жыл бұрын
It is Ternary operator. It means if mums[i] == 0 then select value -1 else select 1. After selection, we have given a shorthand addition operator to add the result to sum. So sum will be added by either -1 or 1 depending on the check I performed. I hope you got it :) It is easier than writting bunch of lines of if else statement to do it.
@mayankchauhan6680
@mayankchauhan6680 3 жыл бұрын
if(nums[i] == 0) { sum = sum-1; } else sum = sum+1
@muskaangupta4920
@muskaangupta4920 4 жыл бұрын
Why did you compare mymap.find(sum) with mymap.end()? Can't be simply If(mymap.find(sum))
@techdose4u
@techdose4u 4 жыл бұрын
It is given to see if on searching the element you reached end of map or not. If you did, that means the element is not present. You can use map.count(sum)
@muskaangupta4920
@muskaangupta4920 4 жыл бұрын
Okay. Got it!!
@techdose4u
@techdose4u 4 жыл бұрын
👍
@subhadippatra7930
@subhadippatra7930 4 жыл бұрын
Will you keep all the videos free in future or you will move to a paid platform ?
@techdose4u
@techdose4u 4 жыл бұрын
Problems will be free. I will include donations in near future. If it goes well then everything will be free forever.
@ankitchaturvedi2941
@ankitchaturvedi2941 Жыл бұрын
can we solve it without map
@DEEPAKYADAV-vb2ee
@DEEPAKYADAV-vb2ee 4 жыл бұрын
Would you help me. How to find maximum GCD of the subarray. For eg. arr = { 2, 3,4,4,4} Here max subarray as welll as max GCD is ={4,4,4}. Help me what will be your efficient approach. @Tech Dose
@techdose4u
@techdose4u 4 жыл бұрын
What can be the size of subarray?
@DEEPAKYADAV-vb2ee
@DEEPAKYADAV-vb2ee 4 жыл бұрын
@@techdose4u all the size of subarray >=2 of the given array
@DEEPAKYADAV-vb2ee
@DEEPAKYADAV-vb2ee 4 жыл бұрын
@@techdose4u it is just same as the max sum of the subarray. But here instead of finding the sum, we have to find the max gcd .
@spetsnaz_2
@spetsnaz_2 4 жыл бұрын
@@DEEPAKYADAV-vb2ee bro remember - maximum GCD value will always be equal to the largest number present in the array. Let’s say that the largest number present in the array is X. Now, the task is to find the largest sub-array having all X.
@techdose4u
@techdose4u 4 жыл бұрын
Max gcd will always be of length 2. So find all possible subarray gcds of length 2. There will be N-1 such subarrays.
@baxtables
@baxtables 3 жыл бұрын
is it a dp problem?
@spetsnaz_2
@spetsnaz_2 4 жыл бұрын
int findMaxLength(vector& nums) { // Fast I/O ios_base::sync_with_stdio(false); cin.tie(NULL); int n = nums.size(); if(n == 0 or n == 1) return 0; unordered_map mp; int res = 0, sum = 0; mp[0] = -1; //for handling first element as 0 so index is -1 default for(int i=0; i
@hemantranjan2297
@hemantranjan2297 2 жыл бұрын
2-0+1 = 2.
@hemantranjan2297
@hemantranjan2297 2 жыл бұрын
You corrected. Nice.
@sahilanand30
@sahilanand30 2 жыл бұрын
You just explained the solution But there is no intuition
@nuclearbaba1769
@nuclearbaba1769 Жыл бұрын
can you give me solution for java
@lakshyavijh1249
@lakshyavijh1249 4 жыл бұрын
Laga de bhai sum wala concept 0 ko -1 rakhne wala
@techdose4u
@techdose4u 4 жыл бұрын
😂
@lakshyavijh1249
@lakshyavijh1249 4 жыл бұрын
@@techdose4u bhai placement h 🤣bta de kaise padu
@techdose4u
@techdose4u 4 жыл бұрын
Bhai target company btao...fir kuchh btate hain 😅
@lakshyavijh1249
@lakshyavijh1249 4 жыл бұрын
@@techdose4u bhai flipkart ya amazon
@abhinavsingh8675
@abhinavsingh8675 2 жыл бұрын
Naruto fan spotted
@BRBallin1
@BRBallin1 5 ай бұрын
I'm sorry but you were a bit hard to follow along
@gauthamsssomanna9388
@gauthamsssomanna9388 Жыл бұрын
Java Solution Map sumMap = new HashMap(); int sum = 0; int longestSubArr = 0; for (int i = 0; i < nums.length; i++) { sum += nums[i] == 0 ? -1 : 1; // make 0s as -1 and then add if (sum == 0) { longestSubArr = i + 1; // then we will put the index as the longestSubStr } else if (sumMap.get(sum) != null) { longestSubArr = Math.max(longestSubArr, i - sumMap.get(sum)); } else { sumMap.put(sum, i); } } return longestSubArr;
Contiguous Array - Leetcode 525 - Python
15:41
NeetCodeIO
Рет қаралды 29 М.
Product of array except self | Leetcode #238
15:00
Techdose
Рет қаралды 97 М.
SIZE DOESN’T MATTER @benjaminjiujitsu
00:46
Natan por Aí
Рет қаралды 3,1 МЛН
Twin Telepathy Challenge!
00:23
Stokes Twins
Рет қаралды 118 МЛН
525. Contiguous Array | Prefix Sums | Hash Tables | 3 Approaches
18:30
NVIDIA’s New AI: Stunning Voice Generator!
6:21
Two Minute Papers
Рет қаралды 73 М.
Contiguous Array | LeetCode 30 day Challenge | LeetCode 525
16:44
Knowledge Center
Рет қаралды 8 М.
⚡️NEWS | RUBLE COLLAPSE | STRIKE ON CRIMEA | PUTIN IN KAZAKHSTAN
10:34
Ходорковский LIVE
Рет қаралды 153 М.
8 patterns to solve 80% Leetcode problems
7:30
Sahil & Sarra
Рет қаралды 442 М.
Leetcode 525. Contiguous Array | Hashing | Leetcode Daily Challenge
23:52
Code with Alisha
Рет қаралды 2,4 М.
Premature Optimization
12:39
CodeAesthetic
Рет қаралды 835 М.
Kadane's Algorithm | Maximum Subarray Sum | Finding and Printing
20:09
take U forward
Рет қаралды 491 М.
Remove K digits | Build lowest number | Leetcode #402
15:30
Techdose
Рет қаралды 89 М.